Skip to main content

 

参考情報

 

OutSystems

古いコンシューマに関する情報

Message
Consumer module '<module>' is outdated
原因
他のモジュール(コンシューマ)で利用中の機能を公開しているモジュールが変更されました。変更自体はコンシューマと互換性がありますが、コンシューマ側がこのモジュールの古いバージョンを実行しています。この状況は、強い依存関係にのみ該当します。弱い依存関係の場合、プロデューサの実装の変更はすぐにコンシューマに反映されます。
推奨事項
プロデューサモジュールの最新実装の使用を開始するには、コンシューマモジュールを再パブリッシュする必要があります。これを行わない場合、コンシューマは以前のバージョンを使用し続けることになります。コンシューマはプロデューサとの依存関係を更新する必要はありません。
  • Was this article helpful?